Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
Interface ReaderSource

Method Summary
`boolean` | `canReopenSource()` Returns a new Reader on the underlying source object.
`void` | `cleanup()` Returns a new Reader on the underlying source object.
`String` | `getLine(int lineNumber, Janitor janitor)` Returns a new Reader on the underlying source object.
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Method Detail

### canReopenSource

    public boolean canReopenSource()

  Returns a new Reader on the underlying source object. Returns null if the source can't be reopened.
  throws:
    java.io.IOException if there was an error opening for stream
  return:
    the reader to the resource

### cleanup

    public void cleanup()

  Returns a new Reader on the underlying source object. Returns null if the source can't be reopened.
  throws:
    java.io.IOException if there was an error opening for stream
  return:
    the reader to the resource

### getLine

    public String getLine(int lineNumber, Janitor janitor)

  Returns a new Reader on the underlying source object. Returns null if the source can't be reopened.
  throws:
    java.io.IOException if there was an error opening for stream
  return:
    the reader to the resource

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object. Returns null if the source can't be reopened.
  throws:
    java.io.IOException if there was an error opening for stream
  return:
    the reader to the resource